=== renamed file 'tests/suite/broken/r/information_schema_inno.result' => 'tests/r/information_schema_inno.result'
--- tests/suite/broken/r/information_schema_inno.result	2008-06-25 05:29:13 +0000
+++ tests/r/information_schema_inno.result	2009-01-07 01:08:34 +0000
@@ -59,12 +59,12 @@
 create database `db-1`;
 use `db-1`;
 create table `t-2` (
-id int(10) unsigned not null auto_increment,
+id int not null auto_increment,
 primary key (id)
 ) engine=innodb;
 create table `t-1` (
-id int(10) unsigned not null auto_increment,
-idtype int(10) unsigned not null,
+id int not null auto_increment,
+idtype int not null,
 primary key (id),
 key fk_t1_1 (idtype),
 constraint fk_t1_1 foreign key (idtype) references `t-2` (id)

=== renamed file 'tests/suite/broken/r/testdb_only.require' => 'tests/r/testdb_only.require'
=== removed file 'tests/suite/broken/t/information_schema_chmod.test'
--- tests/suite/broken/t/information_schema_chmod.test	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/t/information_schema_chmod.test	1970-01-01 00:00:00 +0000
@@ -1,23 +0,0 @@
-#
-# Due to "Bug#18474  Unlistable directories yield no info from
-# information_schema, part2" this test can't be run on Window with our
-# current test framework. When "chmod -r" is done within cygwin the
-# MySQL Server can still read the directory.
-# Manual testing shows the functionalty to skip unlistable directories
-# works on windows
-#
---source include/not_windows.inc
-
-# This test uses chmod, can't be run with root permissions
--- source include/not_as_root.inc
-
-
-#
-# Bug #15851 Unlistable directories yield no info from information_schema
-#
-create database mysqltest;
-create table mysqltest.t1(a int);
-chmod 0000 $MYSQLTEST_VARDIR/master-data/mysqltest;
-select table_schema from information_schema.tables where table_schema='mysqltest';
-chmod 0777 $MYSQLTEST_VARDIR/master-data/mysqltest;
-drop database mysqltest;

=== renamed file 'tests/suite/broken/t/information_schema_inno.test' => 'tests/t/information_schema_inno.test'
--- tests/suite/broken/t/information_schema_inno.test	2008-10-02 19:18:43 +0000
+++ tests/t/information_schema_inno.test	2009-01-07 01:08:34 +0000
@@ -1,5 +1,4 @@
 -- source include/testdb_only.inc
--- source include/have_innodb.inc
 --disable_warnings
 DROP TABLE IF EXISTS t1,t2,t3;
 --enable_warnings
@@ -60,13 +59,13 @@
 create database `db-1`;
 use `db-1`;
 create table `t-2` (
-  id int(10) not null auto_increment,
+  id int not null auto_increment,
   primary key (id)
 ) engine=innodb;
 
 create table `t-1` (
-  id int(10) not null auto_increment,
-  idtype int(10) not null,
+  id int not null auto_increment,
+  idtype int not null,
   primary key (id),
   key fk_t1_1 (idtype),
   constraint fk_t1_1 foreign key (idtype) references `t-2` (id)

